package com.supervision.controller;

import com.supervision.model.Patient;
import com.supervision.service.PatientService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "病人")
@RestController
@RequestMapping("/patient")
@RequiredArgsConstructor
public class PatientController {

    private final PatientService patientService;

    @ApiOperation("根据病人ID获取病人")
    @GetMapping("queryPatientInfo")
    public Patient queryPatientInfo(String id) {
        return patientService.queryPatientById(id);
    }
}
